package rpc

type RPCJourney struct {
	JourneyId         string `json:"journey_id"`
	OperatorJourneyId string `json:"operator_journey_id"`
	OperatorClass     string `json:"operator_class"`
}

type RPCDriver struct {
	Revenue    int64          `json:"revenue"`
	Incentives []RPCIncentive `json:"incentive"`
	Identity   RPCIdentity    `json:"identity"`
	Start      RPCLoc         `json:"start"`
	End        RPCLoc         `json:"end"`
}

type RPCPassenger struct {
	Contribution int64          `json:"contribution"`
	Seats        int64          `json:"seats"`
	Incentives   []RPCIncentive `json:"incentive"`
	Identity     RPCIdentity    `json:"identity"`
	Start        RPCLoc         `json:"start"`
	End          RPCLoc         `json:"end"`
}

type RPCIncentive struct {
	Index  int64  `json:"index"`
	Amount int64  `json:"amount"`
	SIRET  string `json:"siret"`
}

type RPCIdentity struct {
	PhoneTrunc     string `json:"phone_trunc"`
	OperatorUserId string `json:"operator_user_id"`
	Over18         bool   `json:"over_18"`
}

type RPCLoc struct {
	Datetime RPCTime `json:"datetime"`
	Lat      float64 `json:"lat"`
	Lon      float64 `json:"lon"`
}
