package rpc

import "time"

const (
	ProductionBaseURL = "https://api.covoiturage.beta.gouv.fr/v2"
	DemoBaseURL       = "https://api.demo.covoiturage.beta.gouv.fr/v2"
)

type RPCHandler struct {
	BaseURL string
	Token   string
}

func NewRPCHandler(baseurl string, token string) RPCHandler {
	return RPCHandler{
		BaseURL: baseurl,
		Token:   token,
	}
}

type RPCTime time.Time

func (t RPCTime) MarshalJSON() ([]byte, error) {
	return []byte(`"` + time.Time(t).Format("2006-01-02T15:04:05Z") + `"`), nil
}
